﻿using System;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using DotNetCASClient;

public partial class _Default : System.Web.UI.Page 
{

    /// <summary>
    /// usefull for browsers
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        DotNetCasAttributePrincipal principal= null;
        String userId = (String)Session["userId"];
       
        if (userId == null)
        {
           
            DotNetCASClientServiceValidate client = new DotNetCASClientServiceValidate();

            principal = client.AuthenticatePrincipal(Request, Response);
          
            lblCas.Text = "Had to authenticate via CAS...";
        }
        if (principal != null && principal.isAutheniticated)
        {
            Session["userId"] = principal.userName;
            Session["userAttributeTable"] = principal.attributes;
        }
        else if(userId == null)
        {
            lblCas.Text = "Failed to login";
        }
        lblResult.Text = (String)Session["userId"];


    }

    /// <summary>
    /// usefull for webservices
    /// </summary>
    /// <param name="ticket"></param>
    /// <returns></returns>
    public String GetUserName(String ticket)
    {
        //The first argument in the constructor is the service against which you trying to validate
        //The second argument is the proxy validation URL for your CAS server
        DotNetCASClientProxyValidate client
                = new DotNetCASClientProxyValidate("http://", "https://login.ugent.be/proxyValidate");
        String userid = (String) client.Authenticate(ticket);
        return userid;
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {

    }
}
